<?php

include_once(dirname(__FILE__).'/Base/Output.php');
include_once(dirname(__FILE__).'/Base/HTML/XHTML.php');

class CustomOutput extends Output
{
  var $Load = '';
  var $Unload = '';
  var $Document;
  var $GlobalTitle;
  var $Title;
  var $ShowRuntimeInfo;
  var $Charset;
  var $FormatHTML;
  var $Admin;
  var $AdminEmail;
  var $Style;
  var $Keywords;

  function __construct($System)
  {
    parent::__construct($System);
    $this->Charset = 'utf-8';
    $this->ShowRuntimeInfo = false;
    $this->FormatHTML = false;
    $this->Admin = 'admin';
    $this->AdminEmail = 'admin@localhost';
    $this->Style = 'Basic';
    $this->Keywords = array();
  }
  
  function TopMenu()
  {
    $Output = '<div class="Navigation">';
      // Visitor
      $Output .= '<ul class="MenuItem">';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('About'), $this->System->Navigation->MakeLink('Main', 'About')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('Internet'), $this->System->Navigation->MakeLink('Main', 'Internet')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('Hosting'), $this->System->Navigation->MakeLink('Main', 'Hosting')).'</li>';
      $Output .= '<li><a href="https://mail.zdechov.net/">Pošta</a></li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('NetworkHistory'), $this->System->Navigation->MakeLink('Main', 'History')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('Documents'), $this->System->Navigation->MakeLink('Main', 'Documents')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('Links'), $this->System->Navigation->MakeLink('Main', 'Links')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('Contact'), $this->System->Navigation->MakeLink('Main', 'Contact')).'</li>';
    if($this->System->UserOnline->User == $this->System->UserOnline->AnonymousUserId)
    {
      $Output .= '</ul>';
      $Output .= '<ul class="MenuItem2">';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('UserLogin'), $this->System->Navigation->MakeLink('User', 'Login')).'</li>';
      //$Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Translate('UserRegistration'), $this->System->MakeLink('UserList', 'Register')).'</li>';
    } else
    {
      $Output .= '</ul>';
      $Output .= '<ul class="MenuItem2">';
      $Output .= '<li>'.$this->System->User->Data['FullName'].'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('UserLogout'), $this->System->Navigation->MakeLink('User', 'Logout')).'</li>';
      $Output .= '<li>'.$this->System->HTML->MakeLink($this->System->Localization->Translate('UserView'), $this->System->Navigation->MakeLink('User', 'View',
        array('Id' => $this->System->User->Id))).'</li>';
    }
    $Output .= '</ul></div>';
    return($Output);
  }

  function PageMenu()
  {
    $Output = '';
    //if($Output != '') $Output = '<ul class="PageMenu">'.$Output.'</ul>';
    return($Output);
  }

  function Footer()
  {
    $Time = round($this->System->GetMicrotime() - $this->System->TimeStart, 2);
    $Tag = new XMLTag('ul');
    $Tag->Attributes = array('class' => 'Footer');
    $AdminTag = new XMLTag('li');
    $AdminTag->SubElements = $this->Admin;
    $EmailTag = new XMLTag('li');
    $EmailTag->SubElements = $this->AdminEmail;
    $Tag->SubElements = array($AdminTag, $EmailTag);
    if($this->ShowRuntimeInfo)
    {
      $ExecutionTimeTag = new XMLTag('li');
      $ExecutionTimeTag->SubElements = 'Doba generování: '.$Time.' s / '.ini_get('max_execution_time').' s';
      $Tag->SubElements[] = $ExecutionTimeTag;
      $UsedMemoryTag = new XMLTag('li');
      $UsedMemoryTag->SubElements = 'Použitá paměť: '.$this->System->PrefixMultiplier->AddPrefixMultipliers(memory_get_peak_usage(FALSE), 'B').' / '.ini_get('memory_limit').'B';
      $Tag->SubElements[] = $UsedMemoryTag;
    }
    return($Tag);
  }

  function Show($Content)
  {
    $this->Document = new XHTMLDocument();
    $BodyParam = '';
    if($this->Load != '') $BodyParam .= ' onload="'.$this->Load.'"';
    if($this->Unload != '') $BodyParam .= ' onunload="'.$this->Unload.'"';
    $this->Document->Encoding = $this->Charset;
    $this->Document->Formated = $this->FormatHTML;
    
    $Style = new XMLTag('link');
    $Style->Attributes = array('rel' => 'stylesheet', 'href' => 'Style/'.$this->Style.'/Style.css',
      'type' => 'text/css', 'media' => 'all');
    $this->Document->HeadTag->SubElements[] = $Style;
    
    $JavaScript = new XMLTag('script');
    $JavaScript->Attributes = array('type' => 'text/javascript', 'src' => 'Style/'.$this->Style.'/Global.js');
    $JavaScript->ShringEmpty = false;
    $this->Document->HeadTag->SubElements[] = $JavaScript;
    
    $JavaScript = new XMLTag('script');
    $JavaScript->Attributes = array('type' => 'text/javascript', 'src' => 'Style/'.$this->Style.'/jquery.js');
    $JavaScript->ShringEmpty = false;
    $this->Document->HeadTag->SubElements[] = $JavaScript;
    
    $Title = $this->GlobalTitle;
    if($this->Title != '') $Title .= ' - '.$this->Title;
    $this->Document->TitleTag->SubElements = $Title;
    $Title = '<span class="GlobalTitle">'.$this->GlobalTitle.'</span>';
    if($this->Title != '') $Title .= ' - '.$this->Title;

    $Keywords = new XMLTag('meta');    
    $Keywords->Attributes = array('name' => 'keywords', 'content' => implode(',', $this->Keywords));
    $Keywords->ShringEmpty = false;
    $this->Document->HeadTag->SubElements[] = $Keywords;
    
    $this->Document->BodyTag->SubElements = array('<div class="TitlePanel">'.$Title.'</div>',
$this->TopMenu(), $this->PageMenu(), $Content, $this->Footer());
    return($this->Document->GetOutput());
  }

  function SystemMessage($Text)
  {
    return('<table align="center"><tr><td><div class="SystemMessage"><h3>Systémová zpráva</h3><div>'.$Text.'</div></div</td></tr></table>');
  }
}

?>
