
-- --------------------------------------------------------

--
-- Struktura tabulky `DocumentLine`
--

CREATE TABLE IF NOT EXISTS `DocumentLine` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Shortcut` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`),
  UNIQUE KEY `Shortcut` (`Shortcut`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `DocumentLineSequence`
--

CREATE TABLE IF NOT EXISTS `DocumentLineSequence` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `DocumentLine` int(11) NOT NULL,
  `FinanceYear` int(11) NOT NULL,
  `NextNumber` int(11) NOT NULL,
  `YearPrefix` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `DocumentLine` (`DocumentLine`),
  KEY `FinanceYear` (`FinanceYear`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=13 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `EmailQueue`
--

CREATE TABLE IF NOT EXISTS `EmailQueue` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Time` datetime NOT NULL,
  `Address` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Subject` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Content` text COLLATE utf8_czech_ci NOT NULL,
  `Headers` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Archive` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=41 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `File`
--

CREATE TABLE IF NOT EXISTS `File` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(256) COLLATE utf8_czech_ci NOT NULL,
  `Size` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceAssetsHistory`
--

CREATE TABLE IF NOT EXISTS `FinanceAssetsHistory` (
  `AssetsId` int(11) NOT NULL DEFAULT '0',
  `Time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Text` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `User` int(11) NOT NULL DEFAULT '0',
  KEY `AssetsId` (`AssetsId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceBankAccount`
--

CREATE TABLE IF NOT EXISTS `FinanceBankAccount` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeCreate` date NOT NULL,
  `Number` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Comment` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceBillingPeriod`
--

CREATE TABLE IF NOT EXISTS `FinanceBillingPeriod` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `MonthCount` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceBills`
--

CREATE TABLE IF NOT EXISTS `FinanceBills` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeFrom` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Subject` int(11) NOT NULL DEFAULT '0',
  `TimeTo` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimeCreate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimeDue` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `BillCode` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `Type` enum('invoice','income') COLLATE utf8_czech_ci NOT NULL,
  `Cash` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1941 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceBillsItems`
--

CREATE TABLE IF NOT EXISTS `FinanceBillsItems` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Bill` int(11) NOT NULL DEFAULT '0',
  `Description` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Price` float NOT NULL DEFAULT '0',
  `Quantity` float NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=13482 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceClaimsLiabilities`
--

CREATE TABLE IF NOT EXISTS `FinanceClaimsLiabilities` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `BillCode` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `Subject` int(11) NOT NULL DEFAULT '0',
  `TimeCreation` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimeDue` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimePayment` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Value` float NOT NULL DEFAULT '0',
  `Bill` int(11) NOT NULL DEFAULT '0',
  `Text` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=4455 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceLog`
--

CREATE TABLE IF NOT EXISTS `FinanceLog` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Text` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceOperation`
--

CREATE TABLE IF NOT EXISTS `FinanceOperation` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Time` datetime NOT NULL,
  `Subject` int(11) NOT NULL DEFAULT '0',
  `Cash` int(11) NOT NULL DEFAULT '0',
  `Value` float NOT NULL,
  `BillCode` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `Taxable` tinyint(1) NOT NULL DEFAULT '1',
  `Bill` int(11) NOT NULL,
  `Text` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT 'Vklad',
  `Network` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=4311 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceSmallAssets`
--

CREATE TABLE IF NOT EXISTS `FinanceSmallAssets` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Text` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `PricePurchase` float NOT NULL DEFAULT '0',
  `TimeEnlistment` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimeElimination` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `SupplySubject` int(11) NOT NULL DEFAULT '0',
  `DeviceId` varchar(128) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `FinanceYear`
--

CREATE TABLE IF NOT EXISTS `FinanceYear` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Year` int(11) NOT NULL,
  `DateStart` date NOT NULL,
  `DateEnd` date NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `finance_charge`
--

CREATE TABLE IF NOT EXISTS `finance_charge` (
  `period` int(11) NOT NULL DEFAULT '0',
  `internet` int(11) NOT NULL DEFAULT '0',
  `internet_speed` int(11) NOT NULL DEFAULT '0',
  `internet_speed_reserve` int(11) NOT NULL DEFAULT '0',
  `administration_per_user` int(20) NOT NULL DEFAULT '0',
  `kWh` int(11) NOT NULL DEFAULT '0',
  `base_speed_element` int(11) NOT NULL DEFAULT '0',
  `BaseTariffPrice` int(11) NOT NULL DEFAULT '0',
  `TopTariffPrice` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `finance_groups`
--

CREATE TABLE IF NOT EXISTS `finance_groups` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(128) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `finance_monthly_overall`
--

CREATE TABLE IF NOT EXISTS `finance_monthly_overall` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `money` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL DEFAULT '0000-00-00',
  `administration` int(11) NOT NULL DEFAULT '0',
  `kWh` int(11) NOT NULL DEFAULT '0',
  `administration_total` int(11) NOT NULL DEFAULT '0',
  `consumption_total` int(11) NOT NULL DEFAULT '0',
  `total_paid` int(11) NOT NULL DEFAULT '0',
  `BaseTariffPrice` int(11) NOT NULL DEFAULT '0',
  `TopTariffPrice` int(11) NOT NULL DEFAULT '0',
  `member_count` int(11) NOT NULL DEFAULT '0',
  `investment` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=78 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `HostedProject`
--

CREATE TABLE IF NOT EXISTS `HostedProject` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Homepage` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `User` int(255) NOT NULL COMMENT 'User.Id',
  `TimeCreate` datetime NOT NULL,
  `Server` int(11) DEFAULT NULL COMMENT 'NetworkDevice.Id',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `hosts_topology`
--

CREATE TABLE IF NOT EXISTS `hosts_topology` (
  `host` int(11) NOT NULL DEFAULT '0',
  `depth` int(11) NOT NULL DEFAULT '0',
  `pos` int(11) NOT NULL DEFAULT '0',
  `first` int(11) NOT NULL DEFAULT '0',
  `last` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`host`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `Log`
--

CREATE TABLE IF NOT EXISTS `Log` (
  `Time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `User` int(11) NOT NULL DEFAULT '0',
  `Module` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `Operation` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `Value` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  KEY `Time` (`Time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `Member`
--

CREATE TABLE IF NOT EXISTS `Member` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Subject` int(11) NOT NULL,
  `ResponsibleUser` int(11) NOT NULL,
  `FamilyMemberCount` int(11) NOT NULL,
  `MembershipDate` date NOT NULL,
  `MemberState` int(11) NOT NULL,
  `InternetTariffCurrentMonth` int(11) NOT NULL,
  `InternetTariffNextMonth` int(11) NOT NULL,
  `GPS` int(11) NOT NULL,
  `BillingPeriod` int(11) NOT NULL DEFAULT '2',
  `NetworkSegment` int(11) NOT NULL,
  `BillingPeriodNext` int(11) NOT NULL DEFAULT '2',
  `BillingPeriodLastDate` date NOT NULL,
  `Hire` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=103 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `MemberPayment`
--

CREATE TABLE IF NOT EXISTS `MemberPayment` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Member` int(11) NOT NULL,
  `MonthlyTotal` float NOT NULL,
  `MonthlyInternet` float NOT NULL,
  `MonthlyConsumption` float NOT NULL,
  `NetworkDevice` float NOT NULL,
  `MonthlyPlus` float NOT NULL,
  `Cash` float NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=87 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkAP`
--

CREATE TABLE IF NOT EXISTS `NetworkAP` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `SSID` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Frequency` int(11) NOT NULL,
  `ChannelWidth` int(11) NOT NULL DEFAULT '20',
  `NetworkDevice` int(11) DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=31 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkConfiguration`
--

CREATE TABLE IF NOT EXISTS `NetworkConfiguration` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Caption` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Execute` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Changed` int(11) NOT NULL DEFAULT '0',
  `LastTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ExecutionTime` int(11) NOT NULL,
  `Enabled` int(11) NOT NULL DEFAULT '1',
  `Period` int(11) NOT NULL DEFAULT '60',
  `Log` mediumtext COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=12 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkDevice`
--

CREATE TABLE IF NOT EXISTS `NetworkDevice` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Member` int(11) NOT NULL,
  `Type` int(11) NOT NULL,
  `PositionLatitude` double NOT NULL DEFAULT '0',
  `PositionLongitude` double NOT NULL DEFAULT '0',
  `Used` int(11) NOT NULL DEFAULT '1',
  `Online` int(11) NOT NULL DEFAULT '0',
  `LastOnline` datetime NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Member` (`Member`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=417 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkDeviceHistory`
--

CREATE TABLE IF NOT EXISTS `NetworkDeviceHistory` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Device` int(11) NOT NULL DEFAULT '0',
  `Time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Action` int(11) NOT NULL DEFAULT '0',
  `Notice` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkDeviceType`
--

CREATE TABLE IF NOT EXISTS `NetworkDeviceType` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `ShowOnline` int(11) NOT NULL DEFAULT '0',
  `IconName` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkDomainAlias`
--

CREATE TABLE IF NOT EXISTS `NetworkDomainAlias` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Target` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Comment` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=20 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkFirewall`
--

CREATE TABLE IF NOT EXISTS `NetworkFirewall` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `NetworkDevice` int(11) NOT NULL,
  `SourceInterface` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `DestinationInterface` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `SourceAddress` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `DestinationAddress` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `SourcePort` int(11) DEFAULT NULL,
  `DestinationPort` int(11) DEFAULT NULL,
  `Action` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Comment` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkInterface`
--

CREATE TABLE IF NOT EXISTS `NetworkInterface` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `Type` int(11) NOT NULL,
  `MAC` varchar(17) COLLATE utf8_czech_ci NOT NULL,
  `LocalIP` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `ExternalIP` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `CZFreeIP` varchar(16) COLLATE utf8_czech_ci NOT NULL,
  `Device` int(11) NOT NULL,
  `Online` int(11) NOT NULL DEFAULT '0',
  `LastOnline` datetime NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Device` (`Device`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=467 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkInterfacePortable`
--

CREATE TABLE IF NOT EXISTS `NetworkInterfacePortable` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `NetworkInterface` int(11) NOT NULL,
  `DynamicIP` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Time` datetime NOT NULL,
  `Update` int(11) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `NetworkInterface` (`NetworkInterface`),
  KEY `Update` (`Update`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkInterfaceStat`
--

CREATE TABLE IF NOT EXISTS `NetworkInterfaceStat` (
  `NetworkInterface` int(11) NOT NULL DEFAULT '0',
  `Time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `PingCount` smallint(11) NOT NULL DEFAULT '0',
  KEY `host_id` (`NetworkInterface`),
  KEY `time` (`Time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkInterfaceType`
--

CREATE TABLE IF NOT EXISTS `NetworkInterfaceType` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `MaxSpeed` int(11) NOT NULL,
  `FullDuplex` int(11) NOT NULL DEFAULT '1',
  `Color` varchar(6) COLLATE utf8_czech_ci NOT NULL DEFAULT 'ffffff',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkLink`
--

CREATE TABLE IF NOT EXISTS `NetworkLink` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Type` int(11) NOT NULL,
  `Interface1` int(11) NOT NULL,
  `Interface2` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=356 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkMangleSubgroup`
--

CREATE TABLE IF NOT EXISTS `NetworkMangleSubgroup` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `AddressRange` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `AddressRange` (`AddressRange`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=56 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkMark`
--

CREATE TABLE IF NOT EXISTS `NetworkMark` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Comment` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Comment` (`Comment`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=615 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `NetworkSubnet`
--

CREATE TABLE IF NOT EXISTS `NetworkSubnet` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `AddressRange` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Mask` int(11) NOT NULL,
  `DHCP` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Gateway` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `WINS` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `DNS` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Domain` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `NTP` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Member` int(11) NOT NULL DEFAULT '0',
  `ExtAddressRange` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `ExtMask` int(11) NOT NULL DEFAULT '32',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `network_devices`
--

CREATE TABLE IF NOT EXISTS `network_devices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `price` int(11) NOT NULL DEFAULT '0',
  `count` int(11) NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '0000-00-00',
  `segment` int(11) NOT NULL DEFAULT '0',
  `used` int(11) NOT NULL DEFAULT '0',
  `consumption` int(11) NOT NULL DEFAULT '0',
  `user` int(11) NOT NULL DEFAULT '0',
  `info` text COLLATE utf8_czech_ci NOT NULL,
  `channel` int(11) NOT NULL DEFAULT '0',
  `device_id` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `shop` varchar(64) COLLATE utf8_czech_ci NOT NULL,
  `deprecated_price` int(11) NOT NULL DEFAULT '0',
  `TimeEnlistment` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `TimeElimination` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `StockCard` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=162 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `network_segments`
--

CREATE TABLE IF NOT EXISTS `network_segments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_czech_ci NOT NULL,
  `price` int(11) NOT NULL DEFAULT '0',
  `parent` int(11) NOT NULL DEFAULT '0',
  `users` int(11) NOT NULL DEFAULT '0',
  `consumption` int(11) NOT NULL DEFAULT '0',
  `users_overheads` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=33 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `PermissionGroup`
--

CREATE TABLE IF NOT EXISTS `PermissionGroup` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `PermissionGroupAssignment`
--

CREATE TABLE IF NOT EXISTS `PermissionGroupAssignment` (
  `Group` int(11) NOT NULL DEFAULT '0',
  `GroupOrOperation` int(11) NOT NULL DEFAULT '0',
  `Type` enum('Group','Operation') COLLATE utf8_czech_ci NOT NULL DEFAULT 'Group'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `PermissionOperation`
--

CREATE TABLE IF NOT EXISTS `PermissionOperation` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Module` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `Operation` varchar(128) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `Item` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `ItemId` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=40 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `PermissionUserAssignment`
--

CREATE TABLE IF NOT EXISTS `PermissionUserAssignment` (
  `User` int(11) NOT NULL DEFAULT '0',
  `GroupOrOperation` int(11) NOT NULL DEFAULT '0',
  `Type` enum('Group','Operation') COLLATE utf8_czech_ci NOT NULL DEFAULT 'Group'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `StockCard`
--

CREATE TABLE IF NOT EXISTS `StockCard` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `SellPrice` float NOT NULL,
  `Consumption` int(11) NOT NULL COMMENT 'In Watts',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `Subject`
--

CREATE TABLE IF NOT EXISTS `Subject` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `AddressStreet` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `AddressTown` varchar(64) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `AddressPSC` int(11) NOT NULL DEFAULT '0',
  `IC` varchar(32) COLLATE utf8_czech_ci NOT NULL,
  `DIC` varchar(32) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `MapPositionX` float NOT NULL DEFAULT '0',
  `MapPositionY` float NOT NULL DEFAULT '0',
  `WWW` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  `Note` varchar(255) COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=117 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `SubjectOpenTime`
--

CREATE TABLE IF NOT EXISTS `SubjectOpenTime` (
  `Subject` int(11) NOT NULL DEFAULT '0',
  `UpdateTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Notice` varchar(255) COLLATE utf8_czech_ci NOT NULL DEFAULT '',
  `Photo` int(11) NOT NULL,
  PRIMARY KEY (`Subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `SubjectOpenTimeDay`
--

CREATE TABLE IF NOT EXISTS `SubjectOpenTimeDay` (
  `Subject` int(11) NOT NULL,
  `Day` int(11) NOT NULL,
  `Open1` int(11) NOT NULL,
  `Close1` int(11) NOT NULL,
  `Open2` int(11) NOT NULL,
  `Close2` int(11) NOT NULL,
  KEY `Subject` (`Subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

--
-- Struktura tabulky `Task`
--

CREATE TABLE IF NOT EXISTS `Task` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeCreate` datetime NOT NULL,
  `TimeFinished` datetime DEFAULT NULL,
  `Description` text COLLATE utf8_czech_ci NOT NULL,
  `Conclusion` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `TimeCreate` (`TimeCreate`),
  KEY `TimeFinished` (`TimeFinished`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=13 ;
