<?php

include_once(dirname(__FILE__).'/Base/System.php');
include_once(dirname(__FILE__).'/Base/User.php');
include_once(dirname(__FILE__).'/Base/UserOnline.php');
include_once(dirname(__FILE__).'/Base/HTTP.php');
include_once(dirname(__FILE__).'/Base/PrefixMultiplier.php');
include_once(dirname(__FILE__).'/Base/URL.php');
include_once(dirname(__FILE__).'/Base/HTML/HTML.php');
include_once(dirname(__FILE__).'/Base/Types/Type.php');
$ConfigFile = dirname(__FILE__).'/Configuration/Config.php';
if(file_exists($ConfigFile)) include($ConfigFile);
  else die('Missing configuration file "'.$ConfigFile.'"');
include_once(dirname(__FILE__).'/CustomOutput.php');

include_once(dirname(__FILE__).'/Module/User/Controller.php');
include_once(dirname(__FILE__).'/Module/Main/Controller.php');
include_once(dirname(__FILE__).'/Module/Network/Controller.php');

class MyApplication extends Application
{
  var $User;
  var $UserOnline;
  var $HTTP;
  var $HTML;
  var $Output;
  var $PrefixMultiplier;
  var $BaseURL;
  var $Type;
  var $DefaultModule;

  function __construct()
  {
    parent::__construct();

    $this->HTTP = new HTTP($this);
    $this->User = new User($this);
    $this->UserOnline = new UserOnline($this);
    $this->PrefixMultiplier = new PrefixMultiplier();
    $this->Output = new CustomOutput($this);
    $this->HTML = new HTML($this);
    $this->BaseURL = new URL();
    
    $this->DefaultModule = 'Main';
    $this->BaseURL->Scheme = 'http';
    $this->BaseURL->Host = $_SERVER['SERVER_NAME'];
    $this->BaseURL->Path = $_SERVER['REQUEST_URI'];
    //echo($this->BaseURL->GetString());
    $this->Type = new Type($this);
    /*$this->Type->RegisterType('YesNo', 'Enumeration', array('Yes', 'No'));
    $this->Type->RegisterType('NoYes', 'Enumeration', array('No', 'Yes'));
    $this->Type->RegisterType('TaskState', 'Enumeration', array('Waiting', 'Running', 'Finished'));
    $this->Type->RegisterType('OnlineState', 'Enumeration', array('Offline', 'Online'));
    $this->Type->RegisterType('EventType', 'Enumeration', array('Information', 'Warning', 'Critical'));
    $this->Type->RegisterType('PointerToCompany', 'PointerOneToOne', array('Table' => 'Company', 'Id' => 'Id', 'Name' => 'Name'));
    $this->Type->RegisterType('PointerToAddress', 'PointerOneToOne', array('Table' => 'Address', 'Id' => 'Id', 'Name' => 'CONCAT(Street, ", ", City)'));
    $this->Type->RegisterType('PointerToControlCard', 'PointerOneToOne', array('Table' => 'ControlCard', 'Id' => 'Id', 'Name' => 'Name'));
    $this->Type->RegisterType('PointerToLiftEventCode', 'PointerOneToOne', array('Table' => 'LiftEventCode', 'Id' => 'Id', 'Name' => 'Name'));
    $this->Type->RegisterType('PointerToLiftGroup', 'PointerOneToOne', array('Table' => 'LiftGroup', 'Id' => 'Id', 'Name' => 'Name'));
    $this->Type->RegisterType('PointerToLift', 'PointerOneToOne', array('Table' => 'Lift', 'Id' => 'Id', 'Name' => 'Name'));
    */
  }

  function GetModuleOutput()
  {
    if(!array_key_exists('M', $_GET)) $_GET['M'] = $this->DefaultModule;
    $ModuleName = $_GET['M'];
    $ModuleName .= 'Controller';
    if(class_exists($ModuleName)) 
    {
      $Module = new $ModuleName($this);
      if(array_key_exists('Panel', $_GET)) $Output = $Module->Show();
        else $Output = $this->Output->Show($Module->Show());
    } else 
      throw new Exception('Module not found');
    return($Output);
  }

  function Run()
  {
    parent::Run();
    $this->UserOnline->Update();
    $this->User->Id = $this->UserOnline->User;
    $this->User->LoadData();
    echo($this->GetModuleOutput());
  }
}

$Application = new MyApplication();
$Application->Database->HostName = $Config['Database']['HostName'];
$Application->Database->UserName = $Config['Database']['UserName'];
$Application->Database->Password = $Config['Database']['Password'];
$Application->Database->Schema = $Config['Database']['Schema'];
$Application->Database->ShowSQLError = $Config['Database']['ShowError'];
$Application->Database->ShowSQLQuery = $Config['Database']['ShowQuery'];
$Application->Output->Style = $Config['Web']['Style'];
$Application->Output->Charset = $Config['Web']['Charset'];
$Application->Output->FormatHTML = $Config['Web']['FormatHTML'];
$Application->Output->Admin = $Config['Web']['Admin'];
$Application->Output->AdminEmail = $Config['Web']['AdminEmail'];
$Application->Output->ShowRuntimeInfo = $Config['Web']['ShowRuntimeInfo'];
$Application->Output->GlobalTitle = $Config['Web']['Title'];
$Application->Output->Keywords = $Config['Web']['Keywords'];
$Application->Localization->Locale = $Config['Web']['Locale'];
$Application->Run();

?>
